<?php
/**
 * Sample implementation of the Custom Header feature
 *
 * @link https://developer.wordpress.org/themes/functionality/custom-headers/
 *
 * @package burger_joint
 */

function burger_joint_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'burger_joint_custom_header_args', array(
		'default-text-color'     => 'fff',
		'header-text' 			 =>	false,
		'width'                  => 1360,
		'height'                 => 110,
		'flex-width'         	=> true,
        'flex-height'        	=> true,
		'wp-head-callback'       => 'burger_joint_header_style',
	) ) );
}

add_action( 'after_setup_theme', 'burger_joint_custom_header_setup' );

if ( ! function_exists( 'burger_joint_header_style' ) ) :

add_action( 'wp_enqueue_scripts', 'burger_joint_header_style' );
function burger_joint_header_style() {
	if ( get_header_image() ) :
	$burger_joint_custom_css = "
        .bottom-header-outer-wrapper{
			background-image:url('".esc_url(get_header_image())."') !important;
			background-position: center top;
		}";
	   	wp_add_inline_style( 'burger-joint-style', $burger_joint_custom_css );
	endif;
}
endif;